List lesson plans
List the lesson plans created with your account, with each plan’s latest step and status.
GET
List lesson plans
The list only includes lesson plans created with the same API user as your access token. Results are newest first.
A parameter that doesn’t match a
Filter by your own fields
Any query parameter other thanpage and page_size filters on the meta_data you sent when starting the lesson plan. For example, if you started lesson plans with meta_data={"teacher_id": "T-1042"}:
meta_data key returns an empty list, not an error.
Reading progress
current_stage is the furthest step that has started, and status is that step’s status:
current_stage is null until the first job creates its step, which is also when the lesson plan first appears with a step to report. Until then, status is the lesson plan’s own status, In Progress.Authorizations
Access token from Get an access token.
Query Parameters
Page number, starting at 1.
Required range:
x >= 1Items per page. Maximum 100.
Required range:
1 <= x <= 100